### Hierarchy

- WebCryptoPbkdf2

### Implements

- Pbkdf2

## Index

### Constructors

- constructor

### Properties

- subtleCrypto

### Methods

- derive

## Constructors

### constructor

- new WebCryptoPbkdf2(subtleCrypto: SubtleCrypto): WebCryptoPbkdf2

- - Defined in encryption/pbkdf2.ts:45

  #### Parameters

  - ##### subtleCrypto: SubtleCrypto

  #### Returns WebCryptoPbkdf2

## Properties

### subtleCrypto

subtleCrypto: SubtleCrypto

- Defined in encryption/pbkdf2.ts:45

## Methods

### derive

- derive(password: string, salt: NodeJS.TypedArray, iterations: number, keyLength: number, digest: Pbkdf2Digests): Promise<Buffer>

- Implementation of Pbkdf2.derive

  - Defined in encryption/pbkdf2.ts:51

  #### Parameters

  - ##### password: string

  - ##### salt: NodeJS.TypedArray

  - ##### iterations: number

  - ##### keyLength: number

  - ##### digest: Pbkdf2Digests

  #### Returns Promise<Buffer>

Generated using TypeDoc